# uip/uip_arp.c File Reference

## Detailed Description

Implementation of the ARP Address Resolution Protocol.

Author:
  Adam Dunkels <adam@dunkels.com>

Definition in file uip_arp.c.

`#include "uip_arp.h"`
`#include <string.h>`

Go to the source code of this file.

## Defines

#define | ARP_REQUEST 1
#define | ARP_REPLY 2
#define | ARP_HWTYPE_ETH 1
#define | BUF ((struct arp_hdr *)&uip_buf[0])
#define | IPBUF ((struct ethip_hdr *)&uip_buf[0])

## Functions

void | uip_arp_init (void)
| Initialize the ARP module.
void | uip_arp_timer (void)
| Periodic ARP processing function.
void | uip_arp_arpin (void)
| ARP processing for incoming ARP packets.
void | uip_arp_out (void)
| Prepend Ethernet header to an outbound IP packet and see if we need to send out an ARP request.